Bug 714687 - RFE: Clear screen including scroll-back buffer before log-in
RFE: Clear screen including scroll-back buffer before log-in
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mingetty (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Petr Pisar
qe-baseos-daemons
: FutureFeature, Patch
Depends On: 714684 806803
Blocks: 836165 947781 1159824
  Show dependency treegraph
 
Reported: 2011-06-20 08:52 EDT by Petr Pisar
Modified: 2016-06-01 05:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 691406
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2011-06-20 08:52:17 EDT
+++ This bug was initially created as a clone of Bug #691406 +++

There was a discussion (bug #681600) how to disable access to text printed by previous user on the console to prevent sensitive data leak.

mingetty should instruct Linux virtual terminal to clear screen including scroll-back buffer. Once Linux will implement it (bug #684261), adapt mingetty to perform the safe clear.

Because current behavior is not to clear the screen and there can be demand not to do it always (e.g. to debug broken login shell or to investigate init scripts output on /dev/console), new mingetty positional argument will be added to switch on/off the screen cleaning.

--- Additional comment from ppisar@redhat.com on 2011-06-10 09:38:26 GMT ---

F16 delivers kernel-3.0* that supports \E[3;J to clear screen including scroll-back buffer.

F16 uses systemd as init that by default reallocate VT before spawning mingetty, thus the scroll-back buffer is always empty.

To test this bug report, one can use following command:

# openvt -f -c 10 -s -w -- /bin/bash \
  -c 'dmesg; exec /sbin/mingetty --loginprog=/bin/false tty10'

This allocates TTY10, switches console there, pollutes buffer with kernel log, and then executes mingetty. Now it's possible to press Shift-PgUp to verify the buffer has gone.

I will add new positional argument to mingetty to enable safe console clearing. The clearing will be done by issuing the the new escape sequence followed by the older 2J variant to clean at least current visible area if mingetty run on system not supporting the new 3J sequence.

--- Additional comment from ppisar@redhat.com on 2011-06-10 11:31:31 GMT ---

Se there is already --noclear option defaulting to clear. So adding the new sequence seems to be enough.

--- Additional comment from ppisar@redhat.com on 2011-06-10 12:26:42 GMT ---

Created attachment 504091 [details]
Implementation

Tested with Linux 3.0-0.rc2.git0.1.fc16.x86_64 on VGA console.
-----

Based on discussion with Steve Grubb, I propose this feature for RHEL-6.2 as an
alternative to disabled scroll-back buffer.
Comment 1 RHEL Product and Program Management 2011-07-05 20:06:38 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Suzanne Yeghiayan 2012-01-31 16:16:08 EST
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.
Comment 4 RHEL Product and Program Management 2013-10-13 21:04:02 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.